com.google.appengine.tools.development

## Class AbstractContainerService.LocalInitializationEnvironment

- java.lang.Object
- - com.google.appengine.tools.development.LocalEnvironment
  - - com.google.appengine.tools.development.AbstractContainerService.LocalInitializationEnvironment

- Enclosing class:
    AbstractContainerService

      public static class AbstractContainerService.LocalInitializationEnvironment
      extends com.google.appengine.tools.development.LocalEnvironment

  A fake `LocalEnvironment` implementation that is used during the initialization of the Development AppServer.

- - ### Field Summary

    - ### Fields inherited from class com.google.appengine.tools.development.LocalEnvironment

      `API_CALL_SEMAPHORE, DEFAULT_VERSION_HOSTNAME, FILESAPI_WAS_USED, HTTP_SERVLET_REQUEST, INSTANCE_ID_ENV_ATTRIBUTE, MAIN_INSTANCE, PORT_ID_ENV_ATTRIBUTE, REQUEST_END_LISTENERS, REQUEST_ID, START_TIME_ATTR, TESTING_DEFAULT_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalInitializationEnvironment(java.lang.String appId, java.lang.String moduleName, java.lang.String majorVersionId, int instance, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEmail()`
    `boolean` | `isAdmin()`
    `boolean` | `isLoggedIn()`

    - ### Methods inherited from class com.google.appengine.tools.development.LocalEnvironment

      `callRequestEndListeners, getAppId, getAttributes, getAuthDomain, getMajorVersion, getModuleId, getRemainingMillis, getRequestNamespace, getVersionId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalInitializationEnvironment

          public LocalInitializationEnvironment(java.lang.String appId,
                                                java.lang.String moduleName,
                                                java.lang.String majorVersionId,
                                                int instance,
                                                int port)

  - ### Method Detail

    - #### getEmail

          public java.lang.String getEmail()

    - #### isLoggedIn

          public boolean isLoggedIn()

    - #### isAdmin

          public boolean isAdmin()